Create or Update Host Firmware Config

View as Markdown
**WARNING:** As of the 2.0 release, NICo core will store the config data sent by this request, but will not yet rely on it to determine firmware installed on host. Create or update host firmware config for the org/site. The target Site is specified by `siteId` in the request body. User must have authorization role with `PROVIDER_ADMIN` suffix in the URL `{org}`.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Request

This endpoint expects an object.
siteIdstringRequiredformat: "uuid"
ID of the Site where the host firmware config is stored.
vendorstringRequired>=1 character

Hardware vendor for the configuration (for example Nvidia, Dell).

modelstringRequired>=1 character

Hardware model for the configuration (for example DGXH100).

componentslist of objectsRequired
Component firmware entries to create or merge.
explicitStartNeededbooleanOptional

Optional. When true, host firmware updates for this vendor/model require an explicit start. Omitted on update leaves the stored value unchanged.

orderinglist of enumsOptional
Update order for configured components. Required on first create. Must include every configured component and must be updated when adding a new component on subsequent PUTs.

Response

Host firmware config replaced/updated

vendorstringRead-only
Hardware vendor for the configuration.
modelstringRead-only
Hardware model for the configuration.
componentslist of objects
Stored component firmware entries.
explicitStartNeededbooleanRead-only
Whether host firmware updates require an explicit start.
orderinglist of enumsRead-only
Stored update order for configured components.
createddatetimeRead-only

When this vendor/model configuration was first created.

updateddatetimeRead-only

When this vendor/model configuration was last updated.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error